#ifndef PROGRAM_H
#define PROGRAM_H

#include <Arduino.h>
#include <Ultrasonic.h>

class Program{
public:
    /**
     * @brief Construct the maine Program object
     * 
     */
    Program();

    /**
     * @brief main loop function
     * 
     */
    void loop();

private:
    /* data */

    /**
     * @brief capteur ultra son pour le niveau de remplissage de la poubelle
     * 
     */
    Ultrasonic *ultrasonic;
};
#endif